as.double.Niche {galgo} | R Documentation

## Converts the chromosome values (genes) to a vector

### Description

Converts the chromosome values (genes) to a vector. It is a shortcut for `as.double(as.matrix(niche))`.

### Usage

    ## S3 method for class 'Niche'
    as.double(x, ...)

### Value

Returns a vector containig the genes for all chromosomes in the niche. The order corresponds to the order inside chromosomes.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      ni <- Niche(chromosomes=newRandomCollection(cr, 10))
      ni
      as.double(ni)
      as.double(as.matrix(ni))  # the same
      as.numeric(ni) # the same
      as.vector(ni) # NA is definitively NOT the same

[Package galgo version 1.4 Index]